import { GrantErrorCallback } from './base/types';
import { IoTHubResponse } from './base/ux4iot-shared';
type UseDirectMethodOutput = (payload: Record<string, unknown>, responseTimeoutInSeconds?: number, connectTimeoutInSeconds?: number) => Promise<IoTHubResponse | void>;
type HookOptions = {
    onGrantError?: GrantErrorCallback;
};
export declare const useDirectMethod: (deviceId: string, directMethodName: string, options?: HookOptions) => UseDirectMethodOutput;
export {};
